TektonResult [operator.tekton.dev/v1alpha1]
- Description
- TektonResult is the Schema for the tektonresults API
- Type
object
Specification
.spec
- Description
- TektonResultSpec defines the desired state of TektonResult
- Type
object- Required
disabledis_external_dboptions
.spec.config
- Description
- Config holds the configuration for resources created by TektonResult
- Type
object
.spec.config.nodeSelector
- Type
object
.spec.config.tolerations
- Type
array
.spec.config.tolerations[]
- Description
- The pod this Toleration is attached to tolerates any taint that matches the triple <key,value,effect> using the matching operator <operator>.
- Type
object
.spec.options
- Description
- Options holds additions fields and these fields will be updated on the manifests
- Type
object
.spec.options.configMaps
- Type
object
.spec.options.deployments
- Type
object
.spec.options.horizontalPodAutoscalers
- Type
object
.spec.options.statefulSets
- Type
object
.spec.options.webhookConfigurationOptions
- Type
object
.spec.performance
- Description
- PerformanceProperties defines the fields which are configurable to tune the performance of component controller
- Type
object- Required
disable-ha
.status
- Description
- TektonResultStatus defines the observed state of TektonResult
- Type
object
.status.annotations
- Description
- Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
- Type
object
.status.conditions
- Description
- Conditions the latest available observations of a resource's current state.
- Type
array
.status.conditions[]
- Description
- Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
- Type
object- Required
statustype
API Endpoints
The following API endpoints are available:
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresultsDELETE: delete collection of TektonResultGET: list objects of kind TektonResultPOST: create a new TektonResult
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults/{name}DELETE: delete the specified TektonResultGET: read the specified TektonResultPATCH: partially update the specified TektonResultPUT: replace the specified TektonResult
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults/{name}/statusGET: read status of the specified TektonResultPATCH: partially update status of the specified TektonResultPUT: replace status of the specified TektonResult
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults
- HTTP method
DELETE- Description
- delete collection of TektonResult
- HTTP responses
- HTTP method
GET- Description
- list objects of kind TektonResult
- HTTP responses
- HTTP method
POST- Description
- create a new TektonResult
- Query parameters
- Body parameters
- HTTP responses
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults/{name}
- HTTP method
DELETE- Description
- delete the specified TektonResult
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified TektonResult
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified TektonResult
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified TektonResult
- Query parameters
- Body parameters
- HTTP responses
/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonresults/{name}/status
- HTTP method
GET- Description
- read status of the specified TektonResult
- HTTP responses
- HTTP method
PATCH- Description
- partially update status of the specified TektonResult
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace status of the specified TektonResult
- Query parameters
- Body parameters
- HTTP responses
Note: In current Alauda DevOps Pipelines versions, Tekton Results should be enabled and configured through
TektonConfig.spec.result.